FdmKlugeExtOUOp Class Reference

`#include <ql/experimental/finitedifferences/fdmklugeextouop.hpp>`

Inherits FdmLinearOpComposite.

## Public Member Functions

| FdmKlugeExtOUOp (const boost::shared_ptr< FdmMesher > &mesher, const boost::shared_ptr< KlugeExtOUProcess > &klugeOUProcess, const boost::shared_ptr< YieldTermStructure > &rTS, const FdmBoundaryConditionSet &bcSet, Size integroIntegrationOrder)
Size | size () const
void | setTime (Time t1, Time t2)
Disposable< Array > | apply (const Array &r) const
Disposable< Array > | apply_mixed (const Array &r) const
Disposable< Array > | apply_direction (Size direction, const Array &r) const
Disposable< Array > | solve_splitting (Size direction, const Array &r, Real s) const
Disposable< Array > | preconditioner (const Array &r, Real s) const
Disposable< std::vector< SparseMatrix > > | toMatrixDecomp () const

## Detailed Description

This class describes a correlated Kluge - extended Ornstein-Uhlenbeck process governed by

\[ \begin{array}{rcl} P_t &=& \exp(p_t + X_t + Y_t) \\ dX_t &=& -\alpha X_tdt + \sigma_x dW_t^x \\ dY_t &=& -\beta Y_{t-}dt + J_tdN_t \\ \omega(J) &=& \eta e^{-\eta J} \\ G_t &=& \exp(g_t + U_t) \\ dU_t &=& -\kappa U_tdt + \sigma_udW_t^u \\ \rho &=& \mathrm{corr} (dW_t^x, dW_t^u) \end{array} \]

References: Kluge, Timo L., 2008. Pricing Swing Options and other Electricity Derivatives, http://eprints.maths.ox.ac.uk/246/1/kluge.pdf

http://spanderen.de/2011/06/13/vpp-pricing-i-stochastic-processes-partial-integro-differential-equation/